#include "interface.h"
#include <iostream>
#include <QPainter>
#include <QTime>
#include <QTimer>

interface::interface(QWidget *parent) : QWidget(parent)
{
    QGridLayout *layout = new QGridLayout(this);

    // A tiny example to add a button and a label
    // QPushButton *button = new QPushButton();
    // button->setText("hello ");
    // QObject::connect(button, SIGNAL(pressed()),SLOT(do_something()));

    // QLabel *label = new QLabel();
    // label->setText("hello from label");

    // layout->addWidget(button,0,0);
    // layout->addWidget(label,0,1);

    occ = new Opencascade();
    layout->addWidget(occ,0,0);
    occ->setMinimumWidth(10);
    occ->setMinimumHeight(10);

    // std::cout<<"opencascade loading"<<std::endl;
}

void interface::do_something(){
    // std::cout<<"button is pressed from c++ class"<<std::endl;
    occ->setProperty("property_background_picture", "/home/user/Desktop/Qt-Graphics_Widget/libicon/LinuxCNC-Wallpaper.jpg");
}

void interface::write_property_background_picture(QString file){
    occ->setProperty("property_background_picture",file);
}

QString interface::read_property_background_picture(){

}
