#ifndef MYLABEL_H
#define MYLABEL_H

#include <QWidget>
#include <QGridLayout>
#include <QPushButton>
#include <QLabel>
#include <opencascade.h>

#include "interface_global.h"

class INTERFACESHARED_EXPORT interface : public QWidget
{
    Q_OBJECT
    Q_PROPERTY(QString property_background_picture READ read_property_background_picture WRITE write_property_background_picture)


public:
    interface(QWidget *parent=0);

public slots:
    void do_something();

    // Property test
    void write_property_background_picture(QString file);
    QString read_property_background_picture();

private:
    Opencascade *occ;
};

#endif // MYLABEL_H
