#!/usr/bin/env python3
# -*- coding:utf-8 -*-
import os
import platform
import sys
import ctypes

from PyQt5 import QtCore
from PyQt5.QtCore import *
from PyQt5.QtWidgets import *
from PyQt5.QtGui import *
from PyOpencascade import interface
 
class Runtest(QWidget):
 
    def __init__(self):
        QWidget.__init__(self)

        self.layout = QVBoxLayout(self)
        self.occ = interface()
        self.layout.addWidget(self.occ)
        
        self.button=QPushButton('Python is working!')
        self.layout.addWidget(self.button)
        self.button.clicked.connect(self.my_push)
        
        # Extern "C"
        # self.test=ctypes.CDLL('/yourpath/aLib.so')
		# self.test.load() # Where load() is a function name of the loaded .so lib
		
    def my_push(self):    
        property_id = "property_background_picture"
        property_value = "/home/user/Qt_graphics_universal_widget/libpython/Qt_Occ_Python/Debian_Wallpaper.jpg"
        self.occ.setProperty(property_id, property_value)
        self.button.setText("pressed");
 
if __name__ == "__main__":
    app = QApplication([])
    main = Runtest()
    main.show()
    sys.exit(app.exec_())

# Base example : https://github.com/eyllanesc/Qt5toPyQt5/tree/master/src












